@import "../../../variables";

::ng-deep .age-selector .ng5-slider .ng5-slider-bar {
  background: $text-color;
  height: 2px;
}
::ng-deep .age-selector .ng5-slider {
  margin-top: 3rem;
}

::ng-deep .age-selector .ng5-slider .ng5-slider-pointer {
  width: 1rem;
  height: 1.5rem;
  top: auto;
 /* to remove the default positioning */
  bottom: 0;
  background-color: $danger;
  border-top-left-radius: 3px;
  border-top-right-radius: 3px;
}
::ng-deep .age-selector .ng5-slider .ng5-slider-pointer:after {
  display: none;
}
::ng-deep .age-selector .ng5-slider .ng5-slider-bubble {
  bottom: 24px;
  color: $text-color;
}
::ng-deep .ng5-slider-model-value:before {
  content: '+/-';
}
::ng-deep .age-selector .ng5-slider .ng5-slider-limit {
  font-weight: bold;
  color: $text-color;
}
::ng-deep .age-selector .ng5-slider .ng5-slider-tick {
  width: 1px;
  height: 10px;
  margin-left: 4px;
  border-radius: 0;
  background: #ffe4d1;
  top: -1px;
}
::ng-deep .age-selector .ng5-slider .ng5-slider-tick.ng5-slider-selected {
  background: orange;
}

::ng-deep .ng5-slider-floor {
  display: none!important;
}

::ng-deep .ng5-slider-ceil {
  display: none!important;
}

.age-selector{
  margin: 8px;
}

input[type=number] {
  border: none;
  border-bottom: 1px solid $text-color;
  font-size: 130%;
  text-align: right;
  background-color: transparent;
  text-align: center;
  &:focus {
    outline: none;
  }
}

.row {
  margin-top: 3rem;
  margin-bottom: 3rem;
}
